[@bigcommerce/checkout-sdk](../README.md) / EmbeddedCheckout

# Class: EmbeddedCheckout

## Table of contents

### Constructors

- [constructor](EmbeddedCheckout.md#constructor)

### Methods

- [attach](EmbeddedCheckout.md#attach)
- [detach](EmbeddedCheckout.md#detach)

## Constructors

### constructor

• **new EmbeddedCheckout**(): [`EmbeddedCheckout`](EmbeddedCheckout.md)

#### Returns

[`EmbeddedCheckout`](EmbeddedCheckout.md)

## Methods

### attach

▸ **attach**(): `Promise`\<[`EmbeddedCheckout`](EmbeddedCheckout.md)\>

#### Returns

`Promise`\<[`EmbeddedCheckout`](EmbeddedCheckout.md)\>

___

### detach

▸ **detach**(): `void`

#### Returns

`void`
